summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorTimothy B. Terriberry <tterribe@xiph.org>2013-02-07 12:33:03 -0800
committerErik de Castro Lopo <erikd@mega-nerd.com>2013-02-08 18:58:33 +1100
commitd75cb67d7ff40d9e7379791558f804434c06826c (patch)
treeead43d3a56bc9dd248c41b7dbdef8da411125806 /autogen.sh
parent81c917829a3fd0f21b35fdffb500f77d468ab4f8 (diff)
downloadflac-d75cb67d7ff40d9e7379791558f804434c06826c.tar.gz
Robustify autogen.sh
This allows the script to be run from somewhere other than the top-level build directory. Signed-off-by: Erik de Castro Lopo <erikd@mega-nerd.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 1a9a0209..ab52ab60 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,6 +2,13 @@
# Run this to set up the build system: configure, makefiles, etc.
# We trust that the user has a recent enough autoconf & automake setup
# (not older than a few years...)
+set -e
+
+srcdir=`dirname $0`
+test -n "$srcdir" && cd "$srcdir"
+
+echo "Updating build configuration files for FLAC, please wait...."
+
touch config.rpath
-autoreconf -i
-#$srcdir/configure "$@" && echo
+autoreconf -isf
+#./configure "$@" && echo